Package com.avaya.clientservices.media.gui

## Interface VideoPlaneListener

-     public interface VideoPlaneListener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onVideoPlaneDoubleTap​(android.graphics.Point coordinates)` | Called when user performed double tap on remote video.
    `void` | `onVideoPlaneDragAndDrop​(android.graphics.Point from, android.graphics.Point to)` | Called when user performed scroll gesture on remote video.
    `void` | `onVideoPlaneLongPress()` | Called when user performed long press on remote video.
    `void` | `onVideoPlaneSingleTap()` | Called when user performed single tab on a video view.
    `void` | `onVideoPlaneSize​(int width, int height)` | Called when the remote video size has changed.

- - ### Method Detail

    - #### onVideoPlaneSize

          void onVideoPlaneSize​(int width,
                                int height)

      Called when the remote video size has changed.
      Parameters:
        `width` - the width of the video frame.
        `height` - the height of the video frame.

    - #### onVideoPlaneSingleTap

          void onVideoPlaneSingleTap()

      Called when user performed single tab on a video view.

    - #### onVideoPlaneDoubleTap

          void onVideoPlaneDoubleTap​(android.graphics.Point coordinates)

      Called when user performed double tap on remote video.
      Parameters:
        `coordinates` - the x and y coordinates of a tap in 0 to 100 scale

    - #### onVideoPlaneDragAndDrop

          void onVideoPlaneDragAndDrop​(android.graphics.Point from,
                                       android.graphics.Point to)

      Called when user performed scroll gesture on remote video.
      Parameters:
        `from` - the x and y coordinates of an initial tap in 0 to 100 scale
        `to` - the x and y coordinates of a scroll gesture release in 0 to 100 scale

    - #### onVideoPlaneLongPress

          void onVideoPlaneLongPress()

      Called when user performed long press on remote video.